{% extends 'base_backend.html.twig' %}
{% block title %}
    <title>AutoplusAdmin - Modeles</title>
{% endblock %}
{% block MMctive %}class="active"{% endblock %}
{% block subMM %} style="display:block;" {% endblock %}
{% block Modeleactive %} class="active" {% endblock %}
{% block breadcumb %}
    <li>Marques/Modeles</li>
    <li class="active">Modeles</li>
{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-xs-12">
            {{ form_start(form) }}
                <div class="form-group">
                    {{ form_widget(form.marque, {'attr': {'class':'form-control'}} ) }}
                </div>
                <div class="form-group">
                    {{ form_widget(form.libelle, {'attr': {'class':'form-control', 'placeholder': 'Libelle Modèle', 'name': 'Libelle'}}) }}

                </div>
                <div class="form-group">
                    {{ form_widget(form.photo.path) }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Ajouter Modéle</button>
                </div>
                {{ form_end(form) }}
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <table id="tablemarques" class="table table-striped table-bordered table-hover">
                <thead>
                <tr>
                    <th>Marque</th>
                    <th>Nom</th>
                    <th>Image</th>
                    <th>Suppression</th>
                </tr>
                </thead>
                <tbody>
                {% for m in modeles %}
                    <tr>
                        <td>{{ m.marque.libelle|title }}</td>
                        <td>{{ m.libelle|title }}</td>
                        <td>{% if m.photo is null %} pas d'image {% else %}
                                <img src="{{ asset('uploads/photos/'~m.photo.path) }}" width="100px" class="img-responsive"> {% endif %}</td>
                        <td>
                            <a href="#" onclick="deleteModel(event,{{ m.id }})">
                            <span class="btn btn-xs btn-danger">
                                <i class="ace-icon fa fa-trash-o bigger-120"></i>
                            </span>
                            </a>
                            <a href="{{ path('modele_edit', { 'id': m.id }) }}">
                                <span class="btn btn-xs btn-warning">
                                    <i class="ace-icon fa fa-edit bigger-120"></i>
                                </span></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
{% block javascript %}
    <script src="{{ asset('backassets/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('backassets/js/spin.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.gritter.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.colorbox.min.js') }}"></script>
    <script src="{{ asset('backassets/js/bootbox.js') }}"></script>
    <script>
        $('#tablemarques').DataTable({
            "bLengthChange": false,
            "iDisplayLength": 5
        });
        $('#sayara_backendbundle_modele_photo_path').ace_file_input({
            no_file:'Aucune Image ...',
            btn_choose:'Choisir',
            btn_change:'Changer',
            droppable:false,
            onchange:null,
            thumbnail:false,//| true | large
            whitelist:'png|jpg|jpeg',
            blacklist:'exe|php'
        });
        function deleteModel(e, id) {
            bootbox.dialog({
                message: "<span class='bigger-110'>Etes vous sûr de vouloir supprimer ce modèle ?",
                buttons: {
                    "danger": {
                        "label": "Supprimer!", "className": "btn-sm btn-danger", "callback": function () {
                            $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
                            $.ajax({
                                url: "{{ path('modele_delete') }}",
                                type: 'POST',
                                data: {id: id},
                                success: function () {
                                    $('#spinner').html("");
                                    /*$.gritter.add({
                                        title: 'Modèle Supprimé ! ',
                                        text: 'Votre suppression est validé',
                                        class_name: 'gritter-success'
                                    })*/
                                },
                                error: function () {
                                    $('#spinner').html("");
                                    $.gritter.add({
                                        title: 'Echec de Suppression !',
                                        text: "Votre Suppression n'est pas aboutie",
                                        class_name: 'gritter-error'
                                    })
                                }
                            });

                            location.reload()
                        }
                    }, "button": {"label": "Annuler", "className": "btn-sm"}
                }
            })
        }
    </script>
{% endblock %}